4

I have installed the seven theme on the admin side and blocks theme on the user side... after getting alot of errors from multiple files adding jquery library, i have removed the extra files and upgraded the jquery in the misc directory to 1.9 with migration plugin.

the main problem was that wysiwyg and hierarchical select didnt work on the front end, so after removing the extra jquery libraries it is working now.

the problem after all that is that now when i try to edit a View, each time i edit something in the view and click on save, it redirects me to the json returned from server instead of just closing the dialog and showing the View edit panel.

In short the problem is that the ajax doesn't work.

So What Should I Do??

  • I have the same problem. I have jquery update module installed with 1.8.2 – Moshe Shaham Mar 25 '14 at 10:46
2

You can't just upgrade the jQuery in the misc directory. You will get many many problems.

If you want to update jQuery because a specific plugin you want to use requires it, I would recommend the jQuery multi module.

However if you want your whole site to use a newer version, use the jQuery update module. Currently though, the jQuery update module only supports up to jQuery 1.8.2.

In my experience using jquery update with versions above 1.5 was still too buggy, however those issues are claimed to have been fixed recently, so if you use the latest dev version it will apparently work.

However, you need 1.9 so jquery update isn't an option yet.

If you need 1.9 for a library (I assume that is probably the case), I would say use jQuery multi (I have successfully used it to run a bunch of things off on top of backbone.js and it has been working without issue for a long time now).

| improve this answer | |
  • Since writing this answer I now find jquery_update to be much more stable, although it still can have some quirks so test thoroughly. – rooby Jun 30 '15 at 0:42

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.